/**********************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.cosmos.rm.validation.internal.common;

/**
 * Defines constants that are specific to the SML/SML-IF documents
 * 
 * @author Ali Mehregani
 */
public class ISMLConstants
{
	/**
	 * Elements
	 */
	public static final String DOCUMENT_ELEMENT = "document";
	public static final String ALIAS_ELEMENT = "alias";
	public static final String ALIASES_ELEMENT = "aliases";	
	public static final String URI_ELEMENT = "sml:uri";	
	public static final String GENICS_ELEMENT = "genics";
	public static final String PHENICS_ELEMENT = "phenics";
    public static final String COMPLEXTYPE_ELEMENT="complexType";
    public static final String ELEMENT_ELEMENT="element";
    public static final String EXTENSION_ELEMENT="extension";    
    public static final String DATA_ELEMENT="data";
    public static final String SCHEMA_ELEMENT = "schema";
    
    /**
     * Flags to determine phenics and genics documents
     */
    public static final byte GENICS_PHASE=0x01;
    public static final byte PHENICS_PHASE=0x10;
    public static final byte GENICS_PHENICS_PHASE=0x00;
	
	/**
	 * Attributes
	 */
	public static final String ACYCLIC_ATTRIBUTE = "sml:acyclic";
	public static final String REF_ATTRIBUTE = "sml:ref";
	public static final String BASE_ATTRIBUTE = "base";	
	public static final String NAME_ATTRIBUTE = "name";	
    public static final String TYPE_ATTRIBUTE ="type";
    public static final String SUBSTITUTIONGROUP_ATTRIBUTE = "substitutionGroup";
    public static final String SMLTARGETELEMENT_ATTRIBUTE="sml:targetElement";
    public static final String TARGET_NAMESPACE_ATTRIBUTE="targetNamespace";
    
    
	/**
	 * Attribute values
	 */
	public static final String REF_TYPE_VALUE = "sml:refType";
	  
}
