/**********************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.cosmos.rm.validation.internal.databuilders;

import org.eclipse.cosmos.rm.validation.internal.SMLActivator;
import org.eclipse.cosmos.rm.validation.internal.common.ISMLConstants;
import org.eclipse.cosmos.rm.validation.internal.common.IValidationConstants;

/**
 * This data structure stores a list of elements that are of type
 * acyclic.
 * 
 * @author Ali Mehregani
 */
public class AcyclicDataTypesList extends AbstractPropertyExtractor
{
	/**
	 * The ID of this data type builder
	 */
	public static final String ID = SMLActivator.PLUGIN_ID + ".AcyclicDataTypesList";
			
	
	/**
	 * Constructor
	 */
	public AcyclicDataTypesList()
	{
		super(ISMLConstants.GENICS_PHASE, null, 
					new String[][]{new String[]{
						ISMLConstants.ACYCLIC_ATTRIBUTE, 
						IValidationConstants.TRUE_VALUE}}, 
					new String[]{
						ISMLConstants.NAME_ATTRIBUTE, null
					});
		super.setUsePrefix(true);
	}
}
